#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --fail-missing --with=systemd

override_dh_installinit:
	dh_systemd_enable -paethercast --name=aethercast aethercast.service
	dh_installinit -paethercast --no-start --noscripts
	dh_systemd_start -paethercast --no-restart-on-upgrade

override_dh_systemd_start:
	dh_systemd_start -paethercast --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install
	dh_apparmor -paethercast --profile-name=usr.sbin.dhcpd
